Functions
libmwaw::Debug Namespace Reference

debugging tools More...

## Functions
bool | dumpFile (librevenge::RVNGBinaryData &data, char const *fileName)
| a debug function to store in a datafile in the current directory WARNING: this function erase the file fileName if it exists (if debug_with_files is not defined, does nothing) More...
std::string | flattenFileName (std::string const &name)
| returns a file name from an ole/... name More...

## Detailed Description

debugging tools

## Function Documentation

## ◆ dumpFile()

bool libmwaw::Debug::dumpFile | ( | librevenge::RVNGBinaryData & | data,
|  | char const * | fileName
| ) |  |

a debug function to store in a datafile in the current directory WARNING: this function erase the file fileName if it exists (if debug_with_files is not defined, does nothing)

Referenced by EDocParser::decodeZone(), MsWksGraphInternal::DataPict::getBinaryData(), MacDraft5StyleManager::getBitmap(), MsWksGraph::getEntryPicture(), MacDraft5StyleManager::getPixmap(), MWAWOLEParser::parse(), MWAWRSRCParser::parsePICT(), PowerPoint7Graph::readBitmap(), ZWrtParser::readCPRT(), ClarisWksDocument::readCPRT(), MarinerWrtParser::readCPRT(), MacDocParser::readFile(), StyleParser::readFormats(), MacWrtParser::readGraphic(), WingzParser::readGraphic(), MoreParser::readGraphic(), PowerPoint7Graph::readMetaFile(), ClarisWksGraph::readNamedPict(), ClarisWksGraph::readOLE(), MacDraft5Parser::readPICT(), ClarisWksGraph::readPictData(), BeagleWksStructManager::readPicture(), PowerPoint1Parser::readPicture(), MsWrdParser::readPicture(), PowerPoint3Parser::readPictureContent(), RagTime5Graph::readPictureData(), StyleParser::readPictures(), MarinerWrtGraph::readPostscript(), ClarisWksGraph::readPS(), GreatWksDBParser::readRowRecords(), ClarisWksDocument::readSNAP(), ClarisWksDocument::readZone(), libmwaw_applepict1::Bitmap::saveBitmap(), FreeHandParser::sendBackgroundPicture(), MacDrawParser::sendBitmap(), MacDraftParser::sendBitmap(), MacDrawProParser::sendBitmap(), MsWksTable::sendChart(), ActaText::sendGraphic(), FullWrtGraph::sendGraphic(), LightWayTxtGraph::sendJPEG(), MouseWrtParser::sendMainZone(), GreatWksBMParser::sendPicture(), MarinerWrtGraph::sendPicture(), RagTimeParser::sendPicture(), GreatWksGraph::sendPicture(), HanMacWrdKGraph::sendPicture(), WriteNowParser::sendPicture(), FreeHandParser::sendPicture(), MacWrtProParser::sendPicture(), ClarisWksGraph::sendPicture(), HanMacWrdJGraph::sendPictureFrame(), MarinerWrtGraph::sendPSZone(), and MoreText::sendText().

## ◆ flattenFileName()

std::string libmwaw::Debug::flattenFileName | ( | std::string const & | name | ) |

returns a file name from an ole/... name

Referenced by dumpFile(), MsWks4Zone::setAscii(), and libmwaw::DebugFile::write().